## org.apache.fop.pdf
Class PDFObject

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject

Direct Known Subclasses:
  PDFAction, PDFAnnotList, PDFArray, PDFCharProcs, PDFCIDFont, PDFCIDSystemInfo, PDFEncoding, PDFFileSpec, PDFFont, PDFFontDescriptor, PDFFunction, PDFInfo, PDFLink, PDFOutline, PDFPage, PDFPages, PDFPathPaint, PDFResources, PDFRoot, PDFShading, PDFStream, PDFXObject

public abstract class PDFObject
extends java.lang.Object

generic PDF object. A PDF Document is essentially a collection of these objects. A PDF Object has a number and a generation (although the generation will always be 0 in new documents).

Field Summary
`protected int` `generation` the object's generation (0 in new documents)
`protected int` `number` the object's number

Constructor Summary
`PDFObject()`
`PDFObject(int number)` create an empty object

Method Summary
`int` `getNumber()`
`protected int` `output(java.io.OutputStream stream)` write the PDF represention of this object
`java.lang.String` `referencePDF()` the PDF representation of a reference to this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### number

    protected int number

  the object's number

### generation

    protected int generation

  the object's generation (0 in new documents)

Constructor Detail

### PDFObject

    public PDFObject(int number)

  create an empty object
  Parameters:
    `number` - the object's number

### PDFObject

    public PDFObject()

Method Detail

### getNumber

    public int getNumber()

  Returns:
    the PDF Object number

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  write the PDF represention of this object
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written

### referencePDF

    public java.lang.String referencePDF()

  the PDF representation of a reference to this object
  Returns:
    the reference string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.